Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ListSelectionModel

All Known Implementing Classes:
  DefaultListSelectionModel

public interface ListSelectionModel

This interface represents the current state of the selection for any of the components that display a list of values with stable indices. The selection is modeled as a set of intervals, each interval represents a contiguous range of selected list elements. The methods for modifying the set of selected intervals all take a pair of indices, index0 and index1, that represent a closed interval, i.e. the interval includes both index0 and index1.

See Also:
  `DefaultListSelectionModel`

Field Summary
`static int` | `MULTIPLE_INTERVAL_SELECTION` A value for the selectionMode property: select one or more contiguous ranges of indices at a time.
`static int` | `SINGLE_INTERVAL_SELECTION` A value for the selectionMode property: select one contiguous range of indices at a time.
`static int` | `SINGLE_SELECTION` A value for the selectionMode property: select one list index at a time.

Method Summary
`void` | `addListSelectionListener(ListSelectionListener x)` Add a listener to the list that's notified each time a change to the selection occurs.
`void` | `addSelectionInterval(int index0, int index1)` Change the selection to be the set union of the current selection and the indices between index0 and index1 inclusive.
`void` | `clearSelection()` Change the selection to the empty set.
`int` | `getAnchorSelectionIndex()` Return the first index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval().
`int` | `getLeadSelectionIndex()` Return the second index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval().
`int` | `getMaxSelectionIndex()` Returns the last selected index or -1 if the selection is empty.
`int` | `getMinSelectionIndex()` Returns the first selected index or -1 if the selection is empty.
`int` | `getSelectionMode()` Returns the current selection mode.
`boolean` | `getValueIsAdjusting()` Returns true if the value is undergoing a series of changes.
`void` | `insertIndexInterval(int index, int length, boolean before)` Insert length indices beginning before/after index.
`boolean` | `isSelectedIndex(int index)` Returns true if the specified index is selected.
`boolean` | `isSelectionEmpty()` Returns true if no indices are selected.
`void` | `removeIndexInterval(int index0, int index1)` Remove the indices in the interval index0,index1 (inclusive) from the selection model.
`void` | `removeListSelectionListener(ListSelectionListener x)` Remove a listener from the list that's notified each time a change to the selection occurs.
`void` | `removeSelectionInterval(int index0, int index1)` Change the selection to be the set difference of the current selection and the indices between index0 and index1 inclusive.
`void` | `setAnchorSelectionIndex(int index)` Set the anchor selection index.
`void` | `setLeadSelectionIndex(int index)` Set the lead selection index.
`void` | `setSelectionInterval(int index0, int index1)` Change the selection to be between index0 and index1 inclusive.
`void` | `setSelectionMode(int selectionMode)` Set the selection mode.
`void` | `setValueIsAdjusting(boolean valueIsAdjusting)` This property is true if upcoming changes to the value of the model should be considered a single event.

Field Detail

### SINGLE_SELECTION

    public static final int SINGLE_SELECTION

  A value for the selectionMode property: select one list index at a time.
  See Also:
    `setSelectionMode(int)`

### SINGLE_INTERVAL_SELECTION

    public static final int SINGLE_INTERVAL_SELECTION

  A value for the selectionMode property: select one contiguous range of indices at a time.
  See Also:
    `setSelectionMode(int)`

### MULTIPLE_INTERVAL_SELECTION

    public static final int MULTIPLE_INTERVAL_SELECTION

  A value for the selectionMode property: select one or more contiguous ranges of indices at a time.
  See Also:
    `setSelectionMode(int)`

Method Detail

### setSelectionInterval

    public void setSelectionInterval(int index0,
                                     int index1)

  Change the selection to be between index0 and index1 inclusive. If this represents a change to the current selection, then notify each ListSelectionListener. Note that index0 doesn't have to be less than or equal to index1.
  Parameters:
    `index0` - one end of the interval.
    `index1` - other end of the interval
  See Also:
    `addListSelectionListener(javax.swing.event.ListSelectionListener)`

### addSelectionInterval

    public void addSelectionInterval(int index0,
                                     int index1)

  Change the selection to be the set union of the current selection and the indices between index0 and index1 inclusive. If this represents a change to the current selection, then notify each ListSelectionListener. Note that index0 doesn't have to be less than or equal to index1.
  Parameters:
    `index0` - one end of the interval.
    `index1` - other end of the interval
  See Also:
    `addListSelectionListener(javax.swing.event.ListSelectionListener)`

### removeSelectionInterval

    public void removeSelectionInterval(int index0,
                                        int index1)

  Change the selection to be the set difference of the current selection and the indices between index0 and index1 inclusive. If this represents a change to the current selection, then notify each ListSelectionListener. Note that index0 doesn't have to be less than or equal to index1.
  Parameters:
    `index0` - one end of the interval.
    `index1` - other end of the interval
  See Also:
    `addListSelectionListener(javax.swing.event.ListSelectionListener)`

### getMinSelectionIndex

    public int getMinSelectionIndex()

  Returns the first selected index or -1 if the selection is empty.

### getMaxSelectionIndex

    public int getMaxSelectionIndex()

  Returns the last selected index or -1 if the selection is empty.

### isSelectedIndex

    public boolean isSelectedIndex(int index)

  Returns true if the specified index is selected.

### getAnchorSelectionIndex

    public int getAnchorSelectionIndex()

  Return the first index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval(). The most recent index0 is considered the "anchor" and the most recent index1 is considered the "lead". Some interfaces display these indices specially, e.g. Windows95 displays the lead index with a dotted yellow outline.
  See Also:
    `getLeadSelectionIndex()`, `setSelectionInterval(int, int)`, `addSelectionInterval(int, int)`

### setAnchorSelectionIndex

    public void setAnchorSelectionIndex(int index)

  Set the anchor selection index.
  See Also:
    `getAnchorSelectionIndex()`

### getLeadSelectionIndex

    public int getLeadSelectionIndex()

  Return the second index argument from the most recent call to setSelectionInterval(), addSelectionInterval() or removeSelectionInterval().
  See Also:
    `getAnchorSelectionIndex()`, `setSelectionInterval(int, int)`, `addSelectionInterval(int, int)`

### setLeadSelectionIndex

    public void setLeadSelectionIndex(int index)

  Set the lead selection index.
  See Also:
    `getLeadSelectionIndex()`

### clearSelection

    public void clearSelection()

  Change the selection to the empty set. If this represents a change to the current selection then notify each ListSelectionListener.
  See Also:
    `addListSelectionListener(javax.swing.event.ListSelectionListener)`

### isSelectionEmpty

    public boolean isSelectionEmpty()

  Returns true if no indices are selected.

### insertIndexInterval

    public void insertIndexInterval(int index,
                                    int length,
                                    boolean before)

  Insert length indices beginning before/after index. This is typically called to sync the selection model with a corresponding change in the data model.

### removeIndexInterval

    public void removeIndexInterval(int index0,
                                    int index1)

  Remove the indices in the interval index0,index1 (inclusive) from the selection model. This is typically called to sync the selection model width a corresponding change in the data model.

### setValueIsAdjusting

    public void setValueIsAdjusting(boolean valueIsAdjusting)

  This property is true if upcoming changes to the value of the model should be considered a single event. For example if the model is being updated in response to a user drag, the value of the valueIsAdjusting property will be set to true when the drag is initiated and be set to false when the drag is finished. This property allows listeners to to update only when a change has been finalized, rather than always handling all of the intermediate values.
  Parameters:
    `valueIsAdjusting` - The new value of the property.
  See Also:
    `getValueIsAdjusting()`

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Returns true if the value is undergoing a series of changes.
  Returns:
    true if the value is currently adjusting
  See Also:
    `setValueIsAdjusting(boolean)`

### setSelectionMode

    public void setSelectionMode(int selectionMode)

  Set the selection mode. The following selectionMode values are allowed:
  - `SINGLE_SELECTION` Only one list index can be selected at a time. In this mode the setSelectionInterval and addSelectionInterval methods are equivalent, and only the second index argument (the "lead index") is used.
  - `SINGLE_INTERVAL_SELECTION` One contiguous index interval can be selected at a time. In this mode setSelectionInterval and addSelectionInterval are equivalent.
  - `MULTIPLE_INTERVAL_SELECTION` In this mode, there's no restriction on what can be selected.
  See Also:
    `getSelectionMode()`

### getSelectionMode

    public int getSelectionMode()

  Returns the current selection mode.
  Returns:
    The value of the selectionMode property.
  See Also:
    `setSelectionMode(int)`

### addListSelectionListener

    public void addListSelectionListener(ListSelectionListener x)

  Add a listener to the list that's notified each time a change to the selection occurs.
  Parameters:
    `l` - the ListSelectionListener
  See Also:
    `removeListSelectionListener(javax.swing.event.ListSelectionListener)`, `setSelectionInterval(int, int)`, `addSelectionInterval(int, int)`, `removeSelectionInterval(int, int)`, `clearSelection()`, `insertIndexInterval(int, int, boolean)`, `removeIndexInterval(int, int)`

### removeListSelectionListener

    public void removeListSelectionListener(ListSelectionListener x)

  Remove a listener from the list that's notified each time a change to the selection occurs.
  Parameters:
    `l` - the ListSelectionListener
  See Also:
    `addListSelectionListener(javax.swing.event.ListSelectionListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.